Package org.springframework.aop.support

# Class RootClassFilter

java.lang.Object
org.springframework.aop.support.RootClassFilter

All Implemented Interfaces:
  `Serializable`, `ClassFilter`

public class RootClassFilter extends Object implements ClassFilter, Serializable
Simple ClassFilter implementation that passes classes (and optionally subclasses).

Author:
  Rod Johnson, Sam Brannen
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface org.springframework.aop.ClassFilter

`TRUE`

## Constructor Summary

Constructors
Constructor
Description
`RootClassFilter(Class<?> clazz)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`int`
`hashCode()`
`boolean`
`matches(Class<?> candidate)`
Should the pointcut apply to the given interface or target class?
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RootClassFilter

public RootClassFilter(Class<?> clazz)

## Method Details

### matches

public boolean matches(Class<?> candidate)
Description copied from interface: `ClassFilter`
Should the pointcut apply to the given interface or target class?

Specified by:
  `matches` in interface `ClassFilter`
Parameters:
  `candidate` - the candidate target class
Returns:
  whether the advice should apply to the given target class

### equals

public boolean equals(@Nullable Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`